IllegalMonitorStateException Class Reference
Inheritance diagram for IllegalMonitorStateException:

## Public Member Functions

| IllegalMonitorStateException (const LogString &msg)
| IllegalMonitorStateException (const IllegalMonitorStateException &msg)
IllegalMonitorStateException & | operator= (const IllegalMonitorStateException &msg)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Constructor & Destructor Documentation

IllegalMonitorStateException | ( | const LogString & | msg | ) |

IllegalMonitorStateException | ( | const IllegalMonitorStateException & | msg | ) |

## Member Function Documentation

IllegalMonitorStateException& operator= | ( | const IllegalMonitorStateException & | msg | ) |

The documentation for this class was generated from the following file:

- exception.h